    //
//  AccioViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 03/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "AccioViewController.h"
#import "Gol1ViewController.h"
#import "Falta1ViewController.h"
#import "Targeta1ViewController.h"
#import "ForaDeJocViewController.h"
#import "Canvi1ViewController.h"
#import "Nota1ViewController.h"
#import "Partit.h"
#import "Equip.h"
#import "Corner.h"
#import "Gol.h"

@implementation AccioViewController

@synthesize team;
@synthesize totalCorners;


-(IBAction) eventGol:(id)sender{
	
	//Miram quin equip està seleccionat
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0] ;
	}else {
		e= [equips objectAtIndex:1] ;
		
	}
	
	//Cream la vista
	
	Gol* g=[[Gol alloc]init];
	
	
	Gol1ViewController *nView = [[Gol1ViewController alloc] initWithNibName:@"Gol1ViewController" bundle:nil];
	nView.gol=g;
	nView.equip=e;
	
	nView.bgol=TRUE;
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];

	
}



-(IBAction) eventJugada:(id)sender{
	//Miram quin equip està seleccionat
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0] ;
	}else {
		e= [equips objectAtIndex:1] ;
		
	}
	
	//Cream la vista
	//Anomenam Gol malgrat sigui jugada ja que així ho desam dintre de l'array "accions"
	Gol* g=[[Gol alloc]init];
	Gol1ViewController *nView = [[Gol1ViewController alloc] initWithNibName:@"Gol1ViewController" bundle:nil];
	nView.gol=g;
	nView.equip=e;
	nView.bgol=FALSE;
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
	
	
}


-(IBAction) eventFalta:(id)sender{
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	Falta1ViewController *nView = [[Falta1ViewController alloc] initWithNibName:@"FaltaView" bundle:nil];
	
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0] ;
		nView.equipInfractor=e;
		e= [equips objectAtIndex:1] ;
		nView.equipRebedor=e;
		
	}else {
		e= [equips objectAtIndex:1] ;
		nView.equipInfractor=e;
		e= [equips objectAtIndex:0] ;
		nView.equipRebedor=e;
		
	}

	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
	
}

-(IBAction) eventTargeta:(id)sender{
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	Targeta1ViewController *nView = [[Targeta1ViewController alloc] initWithNibName:@"Targeta1View" bundle:nil];
	
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0];
		
	}else {
		e= [equips objectAtIndex:1] ;
	}
	nView.equipInfractor=e;
	
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
}

-(IBAction) eventForaJoc:(id)sender{

	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	ForaDeJocViewController *nView = [[ForaDeJocViewController alloc] initWithNibName:@"ForaDeJocView" bundle:nil];
	
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0];
		
	}else {
		e= [equips objectAtIndex:1] ;
	}
	nView.equip=e;
	
	
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
}





-(IBAction) eventNota:(id)sender{
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	Nota1ViewController *nView = [[Nota1ViewController alloc] initWithNibName:@"Nota1View" bundle:nil];
	
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0];
		
	}else {
		e= [equips objectAtIndex:1] ;
	}
	nView.equip=e;
	
	
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
}



-(IBAction) eventCanvi:(id)sender{
	
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	Canvi1ViewController *nView = [[Canvi1ViewController alloc] initWithNibName:@"Canvi1View" bundle:nil];
	
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0];
		
	}else {
		e= [equips objectAtIndex:1] ;
	}

	nView.equip=e;	
	[self.navigationController pushViewController:nView  animated:YES];

	[nView release];
	
	
}

-(IBAction) eventCorner:(id)sender{
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	//Corner *c =[[Corner alloc] init];
	Equip *e =[[Equip alloc] init];
	if (team.selectedSegmentIndex==0 ) {
		e= [equips objectAtIndex:0] ;
	}else {
		e= [equips objectAtIndex:1] ;
		
	}
	[e actualitzaCorner];		
	
}

- (void)viewDidLoad {
	self.title=@"Accions";
    [super viewDidLoad];
	
}



- (void)didReceiveMemoryWarning {

    [super didReceiveMemoryWarning];

}

- (void)viewDidUnload {
    [super viewDidUnload];

}


- (void)dealloc {
    [super dealloc];
}


@end
