    //
//  DetallEstadistiquesViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 07/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "DetallEstadistiquesViewController.h"


@implementation DetallEstadistiquesViewController
@synthesize jugador;
@synthesize equip;
@synthesize equipRival;


@synthesize golsJugador;
@synthesize tirsJugador;
@synthesize tirsAPortaJugador;
@synthesize assistencies;
@synthesize faltesComesesJugador;
@synthesize faltesRebudesJugador;	
@synthesize targetesGroguesJugador;
@synthesize targetesVermellesJugador;
@synthesize foresDeJocJugador;
@synthesize notes;


-(void)viewWillAppear:(BOOL)animated{
	

	int totalGols=0;
	int totalAssistencies=0;
	int totalRemats=0;
	int totalRematsAPorta=0;
	int i;
	//Gols
	for (i=0;i<[[equip gols] count];i++){
		
		if ([[[[equip gols] objectAtIndex:i] rematador ] isEqual:jugador]) {
			totalGols++;
		}

		if ([[[[equip gols] objectAtIndex:i] assistencia ] isEqual:jugador]) {
			
			totalAssistencies++;
		}
	}
	golsJugador.text=[[NSNumber numberWithInt:totalGols] stringValue] ;
	
	
	//Jugades
	for (i=0;i<[[equip jugades] count];i++){
		
		if ([[[[equip jugades] objectAtIndex:i] rematador ] isEqual:jugador]) {
			if ([[[equip jugades] objectAtIndex:i] acabament ]==0 || [[[equip jugades] objectAtIndex:i] acabament ]==1){
				totalRematsAPorta++;
			}
			
			totalRemats++;
		}
		if ([[[[equip jugades] objectAtIndex:i] assistencia ] isEqual:jugador]) {
			totalAssistencies++;
		}
	}

	totalRemats+=totalGols;
	tirsAPortaJugador.text=[[NSNumber numberWithInt:totalRematsAPorta] stringValue] ;
	tirsJugador.text=[[NSNumber numberWithInt:totalRemats] stringValue] ;
	assistencies.text=[[NSNumber numberWithInt:totalAssistencies] stringValue] ;

	int total=0;
	
	
	//Faltes comeses
	for (i=0;i<[[equip faltes] count];i++){
		
		if ([[[[equip faltes] objectAtIndex:i] infractor ] isEqual:jugador]) {
			total++;
		}

	}
	faltesComesesJugador.text=[[NSNumber numberWithInt:total] stringValue] ;
	
	
	//Faltes rebudes
	total=0;
	for (i=0;i<[[equipRival faltes] count];i++){
		
		if ([[[[equipRival faltes] objectAtIndex:i] rebedor ] isEqual:jugador]) {
			total++;
		}
		
	}
	faltesRebudesJugador.text=[[NSNumber numberWithInt:total] stringValue] ;
	
   	//T. grogues
	total=0;
	int totalVermelles=0;
	for (i=0;i<[[equip targetes] count];i++){
		
		if ([[[[equip targetes] objectAtIndex:i] jugador ] isEqual:jugador]) {
			if([[[equip targetes] objectAtIndex:i] color]==@"Groga"){
				total++;
			}else{
				totalVermelles++;
			}
		}
		
	}
	targetesGroguesJugador.text=[[NSNumber numberWithInt:total] stringValue] ; 
	targetesVermellesJugador.text=[[NSNumber numberWithInt:totalVermelles] stringValue] ; 
	
	//Faltes comeses
	total=0;
	for (i=0;i<[[equip outsides] count];i++){
		
		if ([[[[equip outsides] objectAtIndex:i] jugador ] isEqual:jugador]) {
			total++;
		}
		
	}
	foresDeJocJugador.text=[[NSNumber numberWithInt:total] stringValue] ;
	
	//notes
	NSString* item = [[NSString alloc] init];
	for (i=0;i<[[equip notes] count];i++){
		
		if ([[[[equip notes] objectAtIndex:i] jugador ] isEqual:jugador]) {
			
			item= [item stringByAppendingString:[[[equip notes]objectAtIndex:i] anotacio]];
			item= [item stringByAppendingString:@"\n"];
			NSLog(item);
		}
		
	}
	notes.text=item;
	
	
	[super viewWillAppear:animated];
	
}


- (void)viewDidLoad {
	
	
	self.title=[jugador nom];
	
	
    [super viewDidLoad];
}


/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations.
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
