    //
//  Estadistiques1ViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 06/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Estadistiques1ViewController.h"
#import "Estadistiques2ViewController.h"
#import "Partit.h"
#import "Equip.h"
@implementation Estadistiques1ViewController

@synthesize golsLocal;
@synthesize tirsLocal;
@synthesize tirsPortaLocal;
@synthesize faltesComesesLocal;
@synthesize targetesGroguesLocal;
@synthesize targetesVermellesLocal;
@synthesize foresDeJocLocal;
@synthesize cornerLocal;

@synthesize golsVisitant;
@synthesize tirsVisitant;
@synthesize tirsPortaVisitant;
@synthesize faltesComesesVisitant;
@synthesize targetesGroguesVisitant;
@synthesize targetesVermellesVisitant;
@synthesize foresDeJocVisitant;
@synthesize cornerVisitant;

@synthesize nomEquipLocal;
@synthesize nomEquipVisitant;

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
-(void)viewWillAppear:(BOOL)animated{
	
	//Equip local
	
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]];
	nomEquipLocal.text=[[equips objectAtIndex:0] nomEquip];
	nomEquipVisitant.text=[[equips objectAtIndex:1] nomEquip];
	
	int j;
	j=[[equips objectAtIndex:0] totalGols];
	golsLocal.text=[[NSNumber numberWithInt:j] stringValue] ;
	j+=[[equips objectAtIndex:0] totalJugades];
	tirsLocal.text=[[NSNumber numberWithInt:j] stringValue] ;
	j-=[[equips objectAtIndex:0] totalJugades];
	j+=[[equips objectAtIndex:0] totalJugadesAPorta];
	tirsPortaLocal.text=[[NSNumber numberWithInt:j] stringValue];
	j=[[equips objectAtIndex:0] totalFaltes];
	faltesComesesLocal.text=[[NSNumber numberWithInt:j] stringValue] ;
	j=[[equips objectAtIndex:0] totalAmonestacions];
	targetesGroguesLocal.text=[[NSNumber numberWithInt:j] stringValue] ; 
	j=[[equips objectAtIndex:0] totalExpulsions];
	targetesVermellesLocal.text=[[NSNumber numberWithInt:j] stringValue] ; ///VERMELLES
	j=[[equips objectAtIndex:0] totalForaDeJocs];
	foresDeJocLocal.text=[[NSNumber numberWithInt:j] stringValue] ;
	j=[[equips objectAtIndex:0] totalCorners];
	cornerLocal.text=[[NSNumber numberWithInt:j] stringValue] ;
	
	
	j=[[equips objectAtIndex:1] totalGols];
	golsVisitant.text=[[NSNumber numberWithInt:j] stringValue] ;
	j+=[[equips objectAtIndex:1] totalJugades];
	tirsVisitant.text=[[NSNumber numberWithInt:j] stringValue] ;
	j-=[[equips objectAtIndex:1] totalJugades];
	j+=[[equips objectAtIndex:1] totalJugadesAPorta];
	tirsPortaVisitant.text=[[NSNumber numberWithInt:j] stringValue];
	j=[[equips objectAtIndex:1] totalFaltes];
	faltesComesesVisitant.text=[[NSNumber numberWithInt:j] stringValue] ;
	j=[[equips objectAtIndex:1] totalAmonestacions];
	targetesGroguesVisitant.text=[[NSNumber numberWithInt:j] stringValue] ; 
	j=[[equips objectAtIndex:1] totalExpulsions];
	targetesVermellesVisitant.text=[[NSNumber numberWithInt:j] stringValue] ; ///VERMELLES
	j=[[equips objectAtIndex:1] totalForaDeJocs];
	foresDeJocVisitant.text=[[NSNumber numberWithInt:j] stringValue] ;
	j=[[equips objectAtIndex:1] totalCorners];
	cornerVisitant.text=[[NSNumber numberWithInt:j] stringValue] ;
	
		

    
	
	
	[super viewWillAppear:animated];
	
}

-(IBAction)estadistiquesJugadorsLocals:(id)sender{
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	Estadistiques2ViewController *nView = [[Estadistiques2ViewController alloc] initWithNibName:@"Estadistiques2View" bundle:nil];
	e=[equips objectAtIndex:0];
	
	nView.equip=e;
	e =[[Equip alloc] init];
	e=[equips objectAtIndex:1];
	nView.equipRival=e;
	
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
}
-(IBAction)estadistiquesJugadorsVisitants:(id)sender{
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	e=[equips objectAtIndex:1];
	Estadistiques2ViewController *nView = [[Estadistiques2ViewController alloc] initWithNibName:@"Estadistiques2View" bundle:nil];
	
	
	nView.equip=e;	
	e =[[Equip alloc] init];
	e=[equips objectAtIndex:0];
	nView.equipRival=e;
	[self.navigationController pushViewController:nView  animated:YES];
	
	[nView release];
	
}
- (void)viewDidLoad {
	
	self.title=@"Estadístiques";
	//self.navigationItem.tintColor = [UIColor redColor];
	
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
