    //
//  FaltaViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 05/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Falta1ViewController.h"
#import "Falta2ViewController.h"


@implementation Falta1ViewController

@synthesize llistaJugadorsInfractor;
@synthesize llistaImpressio;
@synthesize equipInfractor;
@synthesize equipRebedor;

- (void)viewDidLoad {
	
    self.title=@"Infractor";
	
	llistaJugadorsInfractor = [[NSMutableArray alloc] initWithObjects:nil];
	llistaImpressio = [[NSMutableArray alloc] initWithObjects:nil];
	
	int i;
	for(i=0;i<[[equipInfractor jugadors] count];i++){
		if ([[[equipInfractor jugadors] objectAtIndex:i] estat]==0 || [[[equipInfractor jugadors] objectAtIndex:i] estat]==3){
			Jugador* j= [[Jugador alloc] init];
			j= [[equipInfractor jugadors] objectAtIndex:i];
			[llistaJugadorsInfractor addObject:j];
			NSString* item = [[NSString alloc] init];
			item = [[NSNumber numberWithInt:[j dorsal]] stringValue];
			item =[item stringByAppendingString:@". "];
			item =[item stringByAppendingString:[j nom]];
			
			[llistaImpressio addObject:item];
			

			[j release];
		}
	}
	[super viewDidLoad];
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}
#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
	
    return [llistaImpressio count];
	
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Configure the cell...
	
	[[cell textLabel] setText:[llistaImpressio objectAtIndex:indexPath.row]];
	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    
    return cell;
}


#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here. Create and push another view controller.
    /*
	 <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
	 [self.navigationController pushViewController:detailViewController animated:YES];
	 [detailViewController release];
	 */

	
	Falta2ViewController *nView = [[Falta2ViewController alloc] initWithNibName:@"Falta2View" bundle:nil];
	nView.equipRebedor=equipRebedor;
	nView.equipInfractor=equipInfractor;
	nView.infractor=[llistaJugadorsInfractor objectAtIndex:indexPath.row];
	[self.navigationController pushViewController:nView  animated:YES];
	

	
	
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
