//
//  Gol3ViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 05/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Gol3ViewController.h"
#import "Gol4ViewController.h"
#import "Gol5ViewController.h"


@implementation Gol3ViewController
@synthesize llistaOrigen;
@synthesize gol;
@synthesize equip;
//@synthesize bgol;

-(void)setBgol:(Boolean)b{
	bgol=b;
}
#pragma mark -
#pragma mark Initialization


#pragma mark -
#pragma mark View lifecycle


- (void)viewDidLoad {
	
    self.title=@"Origen";
	llistaOrigen = [[NSMutableArray alloc] initWithObjects:@"Falta directa", @"Falta indirecta", @"Jugada banda dreta", @"Jugada banda esquerra", @"Jugada pel centre", @"Jugada personal",@"Contraatac", @"Penal", @"Errada rival", @"Altra", nil];
	[super viewDidLoad];
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}
#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
    return [llistaOrigen count];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Configure the cell...
	
	[[cell textLabel] setText:[llistaOrigen objectAtIndex:indexPath.row]];
	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    
    return cell;
}


#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here. Create and push another view controller.
    /*
	 <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
	 [self.navigationController pushViewController:detailViewController animated:YES];
	 [detailViewController release];
	 */
	
	[gol setOrigen:[llistaOrigen objectAtIndex:indexPath.row]];
	
	//no necessita demanar l'assistencia
	if(indexPath.row==0 || indexPath.row==5 || indexPath.row==7 || indexPath.row==8){
		
		// si no es gol demana com ha acabat la jugada
		if (bgol==FALSE){
			Gol5ViewController *nView = [[Gol5ViewController alloc] initWithNibName:@"Gol5View" bundle:nil];
			nView.gol=gol;
			nView.equip=equip;
			nView.bgol=bgol;
			[self.navigationController pushViewController:nView  animated:YES];
		}else {
			//si es gol desa el gol
			[equip actualitzaGol:[gol rematador] origen:[gol origen] superficie:[gol superficie] assitent:[gol assistencia]];

			
			[self.navigationController popToRootViewControllerAnimated:YES];
		}

		
	}	
	else{
		Gol4ViewController *nView = [[Gol4ViewController alloc] initWithNibName:@"Gol4View" bundle:nil];
	nView.gol=gol;
	nView.equip=equip;
	nView.bgol=bgol;
	[self.navigationController pushViewController:nView  animated:YES];
		[nView release];
	}
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end

