//
//  Gol4ViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 05/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Gol4ViewController.h"
#import "Gol5ViewController.h"


@implementation Gol4ViewController


@synthesize llistaAssistencia;
@synthesize llistaAssistenciaImpressio;
@synthesize gol;
@synthesize equip;


-(void)setBgol:(Boolean)b{
	bgol=b;
}

- (void)viewDidLoad {
	
    self.title=@"Assistentència";
	
	llistaAssistencia = [[NSMutableArray alloc] initWithObjects:nil];
	llistaAssistenciaImpressio = [[NSMutableArray alloc] initWithObjects:nil];
	
	int i;
	for(i=0;i<[[equip jugadors] count];i++){
		if ([[[equip jugadors] objectAtIndex:i] estat]==0 || [[[equip jugadors] objectAtIndex:i] estat]==3){
			Jugador* j= [[Jugador alloc] init];
			j= [[equip jugadors] objectAtIndex:i];
			[llistaAssistencia addObject:j];
			NSString* item = [[NSString alloc] init];
			item = [[NSNumber numberWithInt:[j dorsal]] stringValue];
			item =[item stringByAppendingString:@". "];
			item =[item stringByAppendingString:[j nom]];
			
			[llistaAssistenciaImpressio addObject:item];
			
			[j release];
		}
	}
	[super viewDidLoad];
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}
#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
	

    return [llistaAssistenciaImpressio count];
	
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Configure the cell...
	
	[[cell textLabel] setText:[llistaAssistenciaImpressio objectAtIndex:indexPath.row]];
	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    
    return cell;
}


#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {

	
	[gol setAssistencia:[llistaAssistencia objectAtIndex:indexPath.row]];
	
	if (bgol==TRUE){
			
			[equip actualitzaGol:[gol rematador] origen:[gol origen] superficie:[gol superficie] assitent:[gol assistencia]];

		
			[self.navigationController popToRootViewControllerAnimated:YES];
	}
	else{
				
		Gol5ViewController *nView = [[Gol5ViewController alloc] initWithNibName:@"Gol5View" bundle:nil];
		nView.gol=gol;
		nView.equip=equip;
		nView.bgol=bgol;
		[self.navigationController pushViewController:nView  animated:YES];

	}								  
					
	
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end

