//
//  LlistatJugadors.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 01/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "LlistatJugadorsViewController.h"
#import "Partit.h"
#import "Jugador.h"
#import "Equip.h"
#import "DetallJugadorViewController.h"


@implementation LlistatJugadors
@synthesize llistaJugadorsLocals;
@synthesize llistaJugadorsVisitants;


#pragma mark -
#pragma mark Initialization

/*
- (id)initWithStyle:(UITableViewStyle)style {
    // Override initWithStyle: if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/


#pragma mark -
#pragma mark View lifecycle


- (void)viewDidLoad {

	NSLog(@"viewDidLoad");
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	
	self.llistaJugadorsLocals = [[NSMutableArray alloc] initWithObjects:nil];
	
	Equip* e = [[Equip alloc] init];
	
	//Carregam Equip Local
	e=[equips objectAtIndex:0];
	int i;
	for(i=0;i<[[e jugadors] count];i++){
	
		NSString* item = [[NSString alloc] init];
		int j= [[[e jugadors] objectAtIndex:i] dorsal];
		item = [[NSNumber numberWithInt:j] stringValue];
	
		item =[item stringByAppendingString:@". "];
		item =[item stringByAppendingString:[[[e jugadors] objectAtIndex:i] nom]];
		

	//	[self.llistaJugadorsLocals addObject:item];
		[self.llistaJugadorsLocals insertObject:item atIndex:i];
	
	}
	 self.llistaJugadorsVisitants = [[NSMutableArray alloc] initWithObjects:nil];
	
	//Carregam Equip Visitant
	
	e=[equips objectAtIndex:1];

	for(i=0;i<[[e jugadors] count];i++){
		NSString* item = [[NSString alloc] init];
		item = [[NSString alloc] init];
		int j= [[[e jugadors] objectAtIndex:i] dorsal];
		item = [[NSNumber numberWithInt:j] stringValue];
		
		item =[item stringByAppendingString:@". "];
		item =[item stringByAppendingString:[[[e jugadors] objectAtIndex:i] nom]];
		
		[self.llistaJugadorsVisitants addObject:item];
	}
	self.title=@"Alineacions";
	[equips release];
	[super viewDidLoad];
}



-(void)viewWillAppear:(BOOL)animated{
	NSLog(@"viewWillAppear");
	
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	
	//self.llistaJugadorsLocals = [[NSMutableArray alloc] initWithObjects:nil];
	[self.llistaJugadorsLocals removeAllObjects];
	Equip* e = [[Equip alloc] init];
	
	//Carregam Equip Local
	e=[equips objectAtIndex:0];
	int i;
	for(i=0;i<[[e jugadors] count];i++){
		
		NSString* item = [[NSString alloc] init];
		int j= [[[e jugadors] objectAtIndex:i] dorsal];
		item = [[NSNumber numberWithInt:j] stringValue];
		
		item =[item stringByAppendingString:@". "];
		item =[item stringByAppendingString:[[[e jugadors] objectAtIndex:i] nom]];
		NSLog(item);
		
		[self.llistaJugadorsLocals insertObject:item atIndex:i];
		//[self.llistaJugadorsLocals replaceObjectAtIndex:i withObject:item];
		//NSLog("%i",[self.llistaJugadorsLocals count]);
		
	}
	NSLog(@"hello");

	NSLog([llistaJugadorsLocals objectAtIndex:4]);
	NSLog(@"hello");


	self.llistaJugadorsVisitants = [[NSMutableArray alloc] initWithObjects:nil];
	//Carregam Equip Visitant
	
	//
	e=[equips objectAtIndex:1];
	
	for(i=0;i<[[e jugadors] count];i++){
		NSString* item = [[NSString alloc] init];
		item = [[NSString alloc] init];
		int j= [[[e jugadors] objectAtIndex:i] dorsal];
		item = [[NSNumber numberWithInt:j] stringValue];
		
		item =[item stringByAppendingString:@". "];
		item =[item stringByAppendingString:[[[e jugadors] objectAtIndex:i] nom]];
		
		[self.llistaJugadorsVisitants addObject:item];
		
	}
	self.title=@"Alineacions";

	[super viewWillAppear:animated];
	
}
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
	//  self.navigationItem.rightBarButtonItem = self.editButtonItem;



#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 2;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
	if (section=0){
		return [self.llistaJugadorsLocals count];
	}
	else {
		return [self.llistaJugadorsVisitants count];
	}

}

-(NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section{
	
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
		switch (section) {
			case 0:
				return [[equips objectAtIndex:0] nomEquip];
				break;
			case 1:
				return [[equips objectAtIndex:1] nomEquip];;
				break;
			default:
				return @"null";
				break;
		}	
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
	
	
	switch (indexPath.section) {
		case 0:
			[[cell textLabel] setText:[llistaJugadorsLocals objectAtIndex:indexPath.row]];

			break;
		case 1:
			[[cell textLabel] setText:[llistaJugadorsVisitants objectAtIndex:indexPath.row]];

			break;

		default:
			[[cell textLabel] setText:@"Unknown"];
			break;
	}
    
    // Configure the cell...
	//cell.textLabel.text =[[self.llistaJugadors objectAtIndex.row] retain];
	
	//cell.textLabel.text = [[self.llistaJugadorsLocals objectAtIndex:indexPath.row] retain];
	
	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    
    return cell;
}

#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here. Create and push another view controller.
    /*
    <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
    [self.navigationController pushViewController:detailViewController animated:YES];
    [detailViewController release];
    */

	DetallJugadorViewController *detallJugadorViewController = [[DetallJugadorViewController alloc] initWithNibName:@"DetallJugadorView"  bundle:nil];
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]];
	switch (indexPath.section) {
		case 0:
			detallJugadorViewController.jugador= [[[equips objectAtIndex:0] jugadors] objectAtIndex:indexPath.row];
			detallJugadorViewController.title=[llistaJugadorsLocals objectAtIndex:indexPath.row];
			break;
		case 1:
			detallJugadorViewController.jugador= [[[equips objectAtIndex:1] jugadors] objectAtIndex:indexPath.row];
			detallJugadorViewController.title=[llistaJugadorsVisitants objectAtIndex:indexPath.row];
			break;

		default:
			break;
	}
	[equips release];

	[self.navigationController pushViewController: detallJugadorViewController  animated:YES];
	[detallJugadorViewController release];
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
		NSLog(@"viewDidUnload");
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
	[llistaJugadorsLocals release];
	[llistaJugadorsVisitants release];
    [super dealloc];
}


@end

