    //
//  Nota1View.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 06/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Nota1ViewController.h"
#import "Nota2ViewController.h"


@implementation Nota1ViewController
@synthesize equip;

- (void)viewDidLoad {
	
    self.title=@"Notes";
	
	titulars = [[NSMutableArray alloc] initWithObjects:nil];
	titularsImpressio = [[NSMutableArray alloc] initWithObjects:nil];
	
	int i;
	for(i=0;i<[[equip jugadors] count];i++){
		if ([[[equip jugadors] objectAtIndex:i] estat]==0 || [[[equip jugadors] objectAtIndex:i] estat]==3){
			Jugador* j= [[Jugador alloc] init];
			j= [[equip jugadors] objectAtIndex:i];
			[titulars addObject:j];
			NSString* item = [[NSString alloc] init];
			item = [[NSNumber numberWithInt:[j dorsal]] stringValue];
			item =[item stringByAppendingString:@". "];
			item =[item stringByAppendingString:[j nom]];
			
			[titularsImpressio addObject:item];
			

			[j release];
		}
	}
	[super viewDidLoad];
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}
#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 2;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
	
	//NSLog(@"%i",[llistaImpressio count]);
	if(section==0){
		return 1;
	}else {
			    return [titularsImpressio count];
		}


	
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Configure the cell...
	if (indexPath.section==0) {
		[[cell textLabel] setText:[equip nomEquip]];
	}else {
		[[cell textLabel] setText:[titularsImpressio objectAtIndex:indexPath.row]];
	}


	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    
    return cell;
}


#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here. Create and push another view controller.
    /*
	 <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
	 [self.navigationController pushViewController:detailViewController animated:YES];
	 [detailViewController release];
	 */
	
	
	Nota2ViewController *nView = [[Nota2ViewController alloc] initWithNibName:@"Nota2View" bundle:nil];
	
	if(indexPath.section==0){
		nView.jugador=nil;		

	}else {
		nView.jugador=[[equip jugadors] objectAtIndex:indexPath.row];	
	}
	nView.equip=equip;
	[self.navigationController pushViewController:nView  animated:YES];
	
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
