    //
//  PartitViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 06/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "PartitViewController.h"
#import "Partit.h"

@implementation PartitViewController


@synthesize nomEquipLocal;
@synthesize nomEquipVisitant;
@synthesize golsEquipLocal;
@synthesize golsEquipVisitant;
@synthesize detallGolsLocal;
@synthesize detallGolsVisitant;
@synthesize bt1Part;
@synthesize bt2Part;




// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:
 bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/


// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)viewDidLoad {
		[bt2Part setHidden:YES ];

	[super viewDidLoad];
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.

-(void)viewWillAppear:(BOOL)animated{
	
	//Cercam el nom de l'equip i els gols que ha realitzat
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]];
	nomEquipLocal.text=[[equips objectAtIndex:0] nomEquip];
	nomEquipVisitant.text=[[equips objectAtIndex:1] nomEquip];
	
	
	//Gols Local
	NSString* item = [[NSString alloc] init];
	int j = [[equips objectAtIndex:0] totalGols];
	item = [[NSNumber numberWithInt:j] stringValue];	
	golsEquipLocal.text=item;
	
	//Cercam els anotadors dels gols
	item = [[NSString alloc] init];
	int k;
	for (k=0; k<j; k++) {
		
		item =[item stringByAppendingFormat:[[[[[equips objectAtIndex:0] gols] objectAtIndex:k] rematador] nom]];
		item=[item stringByAppendingString:@"\n"];
		NSLog(item);
	}
	detallGolsLocal.text=item;
	

	//	Gols visitant
	item = [[NSString alloc] init];
	j = [[equips objectAtIndex:1] totalGols];
	item = [[NSNumber numberWithInt:j] stringValue];	
	golsEquipVisitant.text=item;
	
	//Cercam els anotadors dels gols
	item = [[NSString alloc] init];
	for (k=0; k<j; k++) {
		
		item =[item stringByAppendingFormat:[[[[[equips objectAtIndex:1] gols] objectAtIndex:k] rematador] nom]];
		item=[item stringByAppendingString:@"\n"];
		NSLog(item);
	}
	detallGolsVisitant.text=item;
	
    [super viewWillAppear:animated];

}

-(IBAction)marcarIniciPrimeraPart:(id)sender{
	NSTimeInterval t = [[NSDate date] timeIntervalSince1970];
	NSLog(@"1");
	[Partit setIniciPrimeraPart:t];
		NSLog(@"2");
	[bt1Part setHidden:YES ];
	[bt2Part setHidden:NO ];
}


-(IBAction)marcarIniciSegonaPart:(id)sender{
	NSTimeInterval t = [[NSDate date] timeIntervalSince1970];
	NSLog(@"1");
	[Partit setIniciSegonaPart:t];
	NSLog(@"2");
	[bt2Part setHidden:YES ];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
