    //
//  Targeta2ViewController.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 05/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Targeta2ViewController.h"
#import "Targeta3ViewController.h"


@implementation Targeta2ViewController

@synthesize llistaTargetes;
@synthesize equipInfractor;
@synthesize infractor;


- (void)viewDidLoad {
	
    self.title=@"Color Targeta";
	
	llistaTargetes = [[NSMutableArray alloc] initWithObjects:@"Groga", @"Vermella",nil];

	[super viewDidLoad];
	
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}
#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
	
    return [llistaTargetes count];
	
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Configure the cell...
	
	[[cell textLabel] setText:[llistaTargetes objectAtIndex:indexPath.row]];
	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    
    return cell;
}


#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here. Create and push another view controller.
    /*
	 <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
	 [self.navigationController pushViewController:detailViewController animated:YES];
	 [detailViewController release];
	 */
	

	Targeta3ViewController *nView = [[Targeta3ViewController alloc] initWithNibName:@"Targeta3View" bundle:nil];
	nView.equipInfractor=equipInfractor;
	nView.infractor=infractor;
	nView.color=[llistaTargetes objectAtIndex:indexPath.row];
	[self.navigationController pushViewController:nView  animated:YES];
	
	
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
