    //
//  VeureXML.m
//  FutbolStats
//
//  Created by Jaume Ramon Alejandro on 09/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "VeureXML.h"
#import "Equip.h"
#import "Partit.h"
@implementation VeureXML
@synthesize codi;

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {

	self.title=@"Text XML";
	NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 

	
	
	//NSMutableArray* equips = [[NSMutableArray alloc] initWithArray:[Partit carregarEquips]]; 
	Equip *e =[[Equip alloc] init];
	e=[equips objectAtIndex:1];
	NSLog([e nomEquip]);
	
	
	NSString* item = [[NSString alloc] init];
	//<?xml version="1.0" encoding="ISO-8859-1"?>
	item= [item stringByAppendingString:@"<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>"];
	item= [item stringByAppendingString:@"<Partit>"];
	
	item= [item stringByAppendingString:@"<DadesPartit>"];
	
	//Temps primera part
	item= [item stringByAppendingString:@"<IniciPrimeraPart>"];	
	NSMutableString * item2 = [[NSMutableString new] autorelease];
	[item2 appendFormat:@"%f",[Partit iniciPrimeraPart] ];
	item= [item stringByAppendingString:item2];
	item= [item stringByAppendingString:@"</IniciPrimeraPart>"];	
	
	//Inici de la segona part
	item= [item stringByAppendingString:@"<IniciSegonaPart>"];	
	NSMutableString * item3 = [[NSMutableString new] autorelease];
	[item3 appendFormat:@"%f",[Partit iniciSegonaPart] ];
	item= [item stringByAppendingString:item3];
	item= [item stringByAppendingString:@"</IniciSegonaPart>"];	
	

	
	
	
	item= [item stringByAppendingString:@"</DadesPartit>"];
	int i;
	int j;
	for (i=0; i<2; i++) {
		e=[equips objectAtIndex:i];
		NSLog([e nomEquip]);
		item= [item stringByAppendingString:@"<Equip>"];
		item= [item stringByAppendingString:@"<DadesEquip>"];
		item= [item stringByAppendingString:@"<Nom>"];
		item= [item stringByAppendingString:[e nomEquip]];
		item= [item stringByAppendingString:@"</Nom>"];
		item= [item stringByAppendingString:@"</DadesEquip>"];
		
		item= [item stringByAppendingString:@"<Plantilla>"];

		for (j=0; j<[[e jugadors]count]; j++) {
			item= [item stringByAppendingString:@"<Jugador>"];

			item= [item stringByAppendingString:@"<Dorsal>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[e jugadors]objectAtIndex:j] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</Dorsal>"];
			
			item= [item stringByAppendingString:@"<Nom>"];
			item= [item stringByAppendingString:[[[e jugadors]objectAtIndex:j] nom]];
			item= [item stringByAppendingString:@"</Nom>"];
			
			item= [item stringByAppendingString:@"<Estat>"];
			switch ([[[e jugadors]objectAtIndex:j] estat]) {
				case 0:
					item= [item stringByAppendingString:@"Titular"];
					break;
				case 1:
					item= [item stringByAppendingString:@"Reserva"];
					break;
				case 2:
					item= [item stringByAppendingString:@"Substituit o expulsat"];
					break;
				case 3:
					item= [item stringByAppendingString:@"Reserva i ha jugat"];
					break;
				default:
					item= [item stringByAppendingString:@"Estat no conegut"];
					break;
			}
			item= [item stringByAppendingString:@"</Estat>"];
			item= [item stringByAppendingString:@"</Jugador>"];
		}
		item= [item stringByAppendingString:@"</Plantilla>"];
		
		item= [item stringByAppendingString:@"<DadesPartit>"];
		//Gols
		item= [item stringByAppendingString:@"<Gols>"];
		
		for (j=0; j<[[e gols]count]; j++) {
			item= [item stringByAppendingString:@"<Gol>"];
			
			item= [item stringByAppendingString:@"<DorsalAutor>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e gols]objectAtIndex:j] rematador] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalAutor>"];
			
			item= [item stringByAppendingString:@"<DorsalAssistencia>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e gols]objectAtIndex:j] assistencia] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalAssistencia>"];
			
			item= [item stringByAppendingString:@"<Origen>"];
			item= [item stringByAppendingString:[[[e gols]objectAtIndex:j] origen]];
			item= [item stringByAppendingString:@"</Origen>"];
			
			item= [item stringByAppendingString:@"<Superficie>"];
			item= [item stringByAppendingString:[[[e gols]objectAtIndex:j] superficie]];
			item= [item stringByAppendingString:@"</Superficie>"];
			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e gols]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			item= [item stringByAppendingString:@"</Gol>"];			
		}
		
		item= [item stringByAppendingString:@"</Gols>"];		
		
		
		
		//Jugades
		item= [item stringByAppendingString:@"<Jugades>"];
		
		for (j=0; j<[[e jugades]count]; j++) {
			item= [item stringByAppendingString:@"<Jugada>"];
			
			item= [item stringByAppendingString:@"<DorsalAutor>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e jugades]objectAtIndex:j] rematador] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalAutor>"];
			
			item= [item stringByAppendingString:@"<DorsalAssistencia>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e jugades]objectAtIndex:j] assistencia] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalAssistencia>"];
			
			item= [item stringByAppendingString:@"<Origen>"];
			item= [item stringByAppendingString:[[[e jugades]objectAtIndex:j] origen]];
			item= [item stringByAppendingString:@"</Origen>"];
			
			item= [item stringByAppendingString:@"<Superficie>"];
			item= [item stringByAppendingString:[[[e jugades]objectAtIndex:j] superficie]];
			item= [item stringByAppendingString:@"</Superficie>"];
			
			item= [item stringByAppendingString:@"<Acabament>"];
			item= [item stringByAppendingString:[[[e jugades]objectAtIndex:j] acabament]];
			item= [item stringByAppendingString:@"</Acabament>"];
			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e jugades]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			item= [item stringByAppendingString:@"</Jugada>"];			
		}
		
		item= [item stringByAppendingString:@"</Jugades>"];			
		
		//Fores de joc
		item= [item stringByAppendingString:@"<ForesDeJoc>"];
		
		for (j=0; j<[[e outsides]count]; j++) {
			item= [item stringByAppendingString:@"<ForaDeJoc>"];
			
			item= [item stringByAppendingString:@"<DorsalJugador>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e outsides]objectAtIndex:j] jugador] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalJugador>"];
			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e outsides]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			
			item= [item stringByAppendingString:@"</ForaDeJoc>"];			
		}
		item= [item stringByAppendingString:@"</ForesDeJoc>"];
		
		
		//Faltes
		item= [item stringByAppendingString:@"<Faltes>"];
		
		for (j=0; j<[[e faltes]count]; j++) {
			item= [item stringByAppendingString:@"<Falta>"];
			
			item= [item stringByAppendingString:@"<DorsalInfractor>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e faltes]objectAtIndex:j] infractor] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalInfractor>"];
			
			item= [item stringByAppendingString:@"<DorsalRebedor>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e faltes]objectAtIndex:j] rebedor] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalRebedor>"];
			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e faltes]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			item= [item stringByAppendingString:@"</Falta>"];			
		}
		item= [item stringByAppendingString:@"</Faltes>"];
		
		//Targetes
		item= [item stringByAppendingString:@"<Targetes>"];
		
		for (j=0; j<[[e targetes]count]; j++) {
			item= [item stringByAppendingString:@"<Targeta>"];
			
			item= [item stringByAppendingString:@"<DorsalJugador>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e targetes]objectAtIndex:j] jugador] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalJugador>"];
			
			item= [item stringByAppendingString:@"<Motiu>"];
			item= [item stringByAppendingString:[[[e targetes]objectAtIndex:j] motiu]];
			item= [item stringByAppendingString:@"</Motiu>"];
			
			item= [item stringByAppendingString:@"<Color>"];
			item= [item stringByAppendingString:[[[e targetes]objectAtIndex:j] color]];
			item= [item stringByAppendingString:@"</Color>"];
			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e targetes]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			
			item= [item stringByAppendingString:@"</Targeta>"];			
		}
		item= [item stringByAppendingString:@"</Targetes>"];
		
		//Total Corners
		item= [item stringByAppendingString:@"<Corners>"];
		//item= [item stringByAppendingString:[[NSNumber numberWithInt:[[e corners] count]] stringValue]];
		
		
		for (j=0; j<[[e corners]count]; j++) {
			item= [item stringByAppendingString:@"<Corner>"];
			

			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e corners]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			
			item= [item stringByAppendingString:@"</Corner>"];			
		}
		
		
		item= [item stringByAppendingString:@"</Corners>"];
		
		//Total Canvis
		
		item= [item stringByAppendingString:@"<Canvis>"];
		
		for (j=0; j<[[e canvis]count]; j++) {
			item= [item stringByAppendingString:@"<Canvi>"];
			
			item= [item stringByAppendingString:@"<DorsalSurt>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e canvis]objectAtIndex:j] jugadorSurt] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalSurt>"];
			
			item= [item stringByAppendingString:@"<DorsalEntra>"];
			item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e canvis]objectAtIndex:j] jugadorEntra] dorsal]] stringValue]];
			item= [item stringByAppendingString:@"</DorsalEntra>"];
			
			item= [item stringByAppendingString:@"<Temps>"];
			
			NSMutableString * item4 = [[NSMutableString new] autorelease];
			[item4 appendFormat:@"%f",[[[e canvis]objectAtIndex:j] temps] ];
			item= [item stringByAppendingString:item4];
			
			item= [item stringByAppendingString:@"</Temps>"];
			
			
			
			item= [item stringByAppendingString:@"</Canvi>"];			
		}
		item= [item stringByAppendingString:@"</Canvis>"];
		
		
		
		
		
		//Total Notes
		item= [item stringByAppendingString:@"<Notes>"];
		
		for (j=0; j<[[e notes]count]; j++) {
			item= [item stringByAppendingString:@"<Nota>"];
			
			item= [item stringByAppendingString:@"<DorsalJugador>"];
			
			if ([[[e notes]objectAtIndex:j] jugador] ==nil) {
			}else {
				item= [item stringByAppendingString:[[NSNumber numberWithInt:[[[[e notes]objectAtIndex:j] jugador] dorsal]] stringValue]];

			}

			
			item= [item stringByAppendingString:@"</DorsalJugador>"];
			
			
			
			
			item= [item stringByAppendingString:@"<Text>"];

			NSLog(@"notes");
			item= [item stringByAppendingString:[[[e notes]objectAtIndex:j] anotacio]];

			item= [item stringByAppendingString:@"</Text>"];
			
			item= [item stringByAppendingString:@"</Nota>"];			
		}
		
		
		
		item= [item stringByAppendingString:@"</Notes>"];

		
		item= [item stringByAppendingString:@"</DadesPartit>"];
		
		item= [item stringByAppendingString:@"</Equip>"];
	}
	
	
	
	
	
	
	
	
	
	
	
	item= [item stringByAppendingString:@"</Partit>"];
	
	
	NSLog(item);

	
	
	codi.text=item;
	
	
	
	
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
